package com.ruoyi.system.domain;

import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

/**
 *  六矿汇总表 act_supplies_sixminessummarytable
 *
 * @author
 * @date 2023-08-30
 */
public class ActSuppliesSixMinesSummaryTable extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 历史数据id */
    private Long id;

    /** 项目编码 */
    @Excel(name = "项目编码")
    private Long projectId;

    /** 项目名称 */
    @Excel(name = "项目名称")
    private String projectName;

    /** 部门名称 */
    @Excel(name = "部门名称")
    private String departmentName;
    /** 数量 */
    @Excel(name = "数量")
    private Long number;

    /** 单价 */
    @Excel(name = "单价")
    private Double nuitPrice;

    /** 金额 */
    @Excel(name = "金额")
    private Double money;

    /** 创建人 */
    @Excel(name = "创建人")
    private String createBy;

    public static long getSerialVersionUID() {
        return serialVersionUID;
    }

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public Long getProjectId() {
        return projectId;
    }

    public void setProjectId(Long projectId) {
        this.projectId = projectId;
    }

    public String getProjectName() {
        return projectName;
    }

    public void setProjectName(String projectName) {
        this.projectName = projectName;
    }

    public String getDepartmentName() {
        return departmentName;
    }

    public void setDepartmentName(String departmentName) {
        this.departmentName = departmentName;
    }

    public Long getNumber() {
        return number;
    }

    public void setNumber(Long number) {
        this.number = number;
    }

    public Double getNuitPrice() {
        return nuitPrice;
    }

    public void setNuitPrice(Double nuitPrice) {
        this.nuitPrice = nuitPrice;
    }

    public Double getMoney() {
        return money;
    }

    public void setMoney(Double money) {
        this.money = money;
    }

    @Override
    public String getCreateBy() {
        return createBy;
    }

    @Override
    public void setCreateBy(String createBy) {
        this.createBy = createBy;
    }

    @Override
    public String toString() {
        return "ActSuppliesCleaningRule{" +
                "id=" + id +
                ", projectId=" + projectId +
                ", projectName='" + projectName + '\'' +
                ", departmentName='" + departmentName + '\'' +
                ", number=" + number +
                ", nuitPrice=" + nuitPrice +
                ", money=" + money +
                ", createBy='" + createBy + '\'' +
                '}';
    }
}
