import request from '@/utils/request'

// 查询通用规则列表
export function listConvert(query) {
  return request({
    url: '/ActSuppliesConvertrole/ActSuppliesConvertrole/list',
    method: 'get',
    params: query
  })
}

// 查询通用规则详细
export function getConvert(id) {
  return request({
    url: '/ActSuppliesConvertrole/ActSuppliesConvertrole/' + id,
    method: 'get'
  })
}

// 新增通用规则
export function addConvert(data) {
  return request({
    url: '/ActSuppliesConvertrole/ActSuppliesConvertrole',
    method: 'post',
    data: data
  })
}

// 修改通用规则
export function updateConvert(data) {
  return request({
    url: '/ActSuppliesConvertrole/ActSuppliesConvertrole',
    method: 'put',
    data: data
  })
}

// 删除通用规则
export function delConvert(id) {
  return request({
    url: '/ActSuppliesConvertrole/ActSuppliesConvertrole/' + id,
    method: 'delete'
  })
}

// 导出通用规则
export function exportConvert(query) {
  return request({
    url: '/ActSuppliesConvertrole/ActSuppliesConvertrole/export',
    method: 'get',
    params: query
  })
}
